<?xml version="1.0" encoding="windows-1251"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xalan="http://xml.apache.org/xalan"
    xmlns:exslt="http://exslt.org/common"
	version="1.0">

<xsl:output method="html" encoding="windows-1251" indent="yes"/>

<xsl:template match="/data">
<html>
<head>
</head>
 


<body>
	<h3>   <xsl:value-of select="contract/@title"/> (<xsl:value-of select="contract/@comment"/>)  <xsl:value-of select="contract/@time"/></h3>

	<table width="800" border="0" cellpaddind="3">
		<tr>
			<td><b>:</b></td>
			<td>
				<xsl:if test="contract/@mode='0'"></xsl:if>
				<xsl:if test="contract/@mode='1'"></xsl:if>
			</td>
			<td></td>
			<td></td>
		</tr>
		<tr>	
			<td><b>  :</b></td>
			<td><xsl:value-of select="contract/@balance_rest"/></td>
			<td><b>   :</b></td>
			<td><xsl:value-of select="contract/@pswd"/></td>
		</tr>	
		<tr>
			<td><b>:</b></td>
			<td><xsl:value-of select="contract/@limit"/></td>
			<td><b>:</b></td>
			<td>
				<xsl:if test="contract/@fc='0'"></xsl:if>
				<xsl:if test="contract/@fc='1'"></xsl:if>
			</td>
		</tr>
	</table>
	<br/>
	
	<b> :</b>
	<table width="800" border="0" cellpaddind="3">
		<tr>
			<td bgcolor="#a0a0a0"><b></b></td>
			<td bgcolor="#a0a0a0"><b></b></td>		
		</tr>
		<xsl:for-each select="parameters/parameter">
		<tr>
			<td><xsl:value-of select="@title"/></td>
			<td><xsl:value-of select="@value"/></td>
		</tr>
		</xsl:for-each>
	</table>
	
	<br/>
	<b> :</b>
	<table width="800" border="0" cellpaddind="3">
		<xsl:for-each select="contract/tariff">
			<tr><td>
			<xsl:value-of select="@tariff_plan"/>
			</td></tr>				
		</xsl:for-each>				
	</table>
	
	<br/>
	<b>  :</b>	
	<table width="800" border="0" cellpaddind="3">
		<xsl:for-each select="module">
		<tr>
			<td><b> - <xsl:value-of select="@title"/></b></td>
		</tr>
		<tr>
			<xsl:variable name="mid"><xsl:value-of select="@id"/></xsl:variable>
		
						
			<td><table width="100%" border="0" cellpaddind="3">
			
			<xsl:choose>				
			
			<!-- Dial-UP -->
			<xsl:when test="@name='dialup'">
				<tr>
					<td bgcolor="#a0a0a0"><b></b></td>
					<td bgcolor="#a0a0a0"><b></b></td>
					<td bgcolor="#a0a0a0"><b></b></td>
					<td bgcolor="#a0a0a0"><b></b></td>
				</tr>
								
				<xsl:for-each select="./*[name()=concat( 'user_login_', $mid )]">
					<tr>
						<xsl:variable name="lid" select="@id"/>
					
						<td><xsl:value-of select="@login"/></td>
						<td>
							<xsl:for-each select="../*[name()=concat( 'user_alias_', $mid ) and @login_id=$lid]">
								<xsl:value-of select="@login_alias"/>&#160;  
							</xsl:for-each>						
						</td>
						<td><xsl:value-of select="@pswd"/></td>
						<td>
							<xsl:if test="@status='0'"> </xsl:if>
							<xsl:if test="@status='1'"> </xsl:if>
						</td>
				    </tr>
				</xsl:for-each>
			</xsl:when>	
			
			
			<!-- VOIP -->
			<xsl:when test="@name='voiceip'">
				<tr>
					<td bgcolor="#a0a0a0"><b></b></td>
					<td bgcolor="#a0a0a0"><b>  </b></td>
					<td bgcolor="#a0a0a0"><b></b></td>
					<td bgcolor="#a0a0a0"><b></b></td>
				</tr>
								
				<xsl:for-each select="./*[name()=concat( 'user_login_', $mid )]">
					<tr>
						<xsl:variable name="lid" select="@id"/>
					
						<td><xsl:value-of select="@login"/></td>
						<td>
							<xsl:for-each select="../*[name()=concat( 'user_alias_', $mid ) and @login_id=$lid]">
								<xsl:value-of select="@login_alias"/>&#160;  
							</xsl:for-each>						
						</td>
						<td><xsl:value-of select="@pswd"/></td>
						<td>
							<xsl:if test="@status='0'"> </xsl:if>
							<xsl:if test="@status='1'"> </xsl:if>
						</td>
				    </tr>
				</xsl:for-each>
			</xsl:when>
			
			<!-- VOICE -->
			<xsl:when test="@name='voice'">
				<tr>
					<td bgcolor="#a0a0a0"><b></b></td>
				</tr>
								
				<xsl:for-each select="./*[name()=concat( 'user_login_', $mid )]">
					<tr>
						<td><xsl:value-of select="@number"/></td>
				    </tr>
				</xsl:for-each>
			</xsl:when>
			
			<!-- IPN -->
			<xsl:when test="@name='ipn'">
				<tr>
					<td bgcolor="#a0a0a0"><b> </b></td>
					<td bgcolor="#a0a0a0"><b> </b></td>
				</tr>
								
				<xsl:for-each select="./*[name()=concat( 'ipn_user_range_', $mid )]">
					<tr>
						<xsl:variable name="addr" select="@addr1"/>
						<td><xsl:value-of select="concat( floor($addr div 16777216),'.',floor($addr div 65536) mod 256,'.',floor($addr div 256) mod 256 ,'.',$addr mod 256)"/></td>
						<xsl:variable name="addr" select="@addr2"/>
						<td><xsl:value-of select="concat( floor($addr div 16777216),'.',floor($addr div 65536) mod 256,'.',floor($addr div 256) mod 256 ,'.',$addr mod 256)"/></td>
				    </tr>
				</xsl:for-each>
			</xsl:when>
			
			<!-- TrayInfo -->
			<xsl:when test="@name='trayinfo'">
				<tr>
					<td bgcolor="#a0a0a0"><b></b></td>
					<td bgcolor="#a0a0a0"><b></b></td>					
				</tr>
								
				<xsl:for-each select="./*[name()=concat( 'trayinfo_login_', $mid )]">
					<tr>
						<td><xsl:value-of select="@id"/></td>
						<td><xsl:value-of select="@pswd"/></td>
				    </tr>
				</xsl:for-each>
			</xsl:when>
			
			<!-- E-Mail -->
			<xsl:when test="@name='email'">
				<tr>
					<td bgcolor="#a0a0a0"><b>E-Mail</b></td>
					<td bgcolor="#a0a0a0"><b></b></td>
					<td bgcolor="#a0a0a0"><b></b></td>
					<td bgcolor="#a0a0a0"><b> ()</b></td>
				</tr>
								
				<xsl:for-each select="./*[name()=concat( 'email_account_', $mid )]">
					<tr>
						<xsl:variable name="did" select="@did"/>
						<xsl:variable name="id" select="@id"/>
					
						<td><xsl:value-of select="concat( @account, '@', ../*[name()=concat( 'email_domain_', $mid )]/domain[@id=$did]/@name )"/></td>
						<td>
							<xsl:for-each select="../*[name()=concat( 'email_forward_', $mid ) and @aid=$id]">
								<xsl:value-of select="@email"/>&#160;
							</xsl:for-each>
						</td>
						<td><xsl:value-of select="@password"/></td>
						<td><xsl:value-of select="@quota"/></td>
				    </tr>
				</xsl:for-each>
			</xsl:when>
			
			<!--  -->			
			<xsl:when test="@name='card'">
				<tr>
					<td bgcolor="#a0a0a0"><b> ,      </b></td>
				</tr>								
				<xsl:for-each select="/data/contract_service[@mid=$mid]">
					<tr>
						<td><xsl:value-of select="@title"/></td>
				    </tr>
				</xsl:for-each>			
			</xsl:when>
			
			<!--  -->			
			<xsl:when test="@name='npay'">
				<tr>
					<td bgcolor="#a0a0a0"><b> </b></td>
				</tr>
				<xsl:variable name="table_name" select="concat('npay_service_object_', $mid)"/>
				<xsl:for-each select="*[local-name()=$table_name]">
					<tr>
						<td>
						 	<xsl:value-of select="@title"/>
						</td>
				    </tr>
				</xsl:for-each>			
			</xsl:when>
			
			
			<xsl:otherwise >
				<xsl:for-each select="/data/contract_service[@mid=$mid]">
					<tr>
						<td><xsl:value-of select="@title"/></td>
				    </tr>
				</xsl:for-each>			
			</xsl:otherwise>		
			</xsl:choose>							
												
			
			</table></td>						
		</tr>
		</xsl:for-each>
	</table>
</body>
</html>
</xsl:template>


</xsl:stylesheet>
